// WFProcess 流程模版基本信息
import { defHttp } from '@/utils/http/axios';
import {
  countItem,
  countModel,
  accountItem
} from './model/index';

enum Api {
  // 获取图层
  GetTucengInfo = '/api/TaxManagement/GetTucengInfo',
  //   获取房屋
  GetTaxBuildingInfo = '/api/TaxManagement/GetTaxBuildingInfo',
  // 获取宗地
  GetTaxZongdiInfo = '/api/TaxManagement/GetTaxZongdiInfo',
  // 获取地图统计数据
  LoadMapTotalData = '/api/TaxManagement/LoadMapTotalData',
  // 获取图表数据
  LoadChartData = '/api/TaxManagement/LoadChartData',
  // 获取图表数据
  LoadgongxianChartData = '/api/TaxManagement/LoadgongxianChartData',
}


/**
 * @description: getCaseFlowLog
 */
export function GetTucengInfo(params?: accountItem) {
  return defHttp.get<countModel>({ url: Api.GetTucengInfo, params });
}
export function GetTaxBuildingInfo(params?: countItem) {
  return defHttp.get<countModel>({ url: Api.GetTaxBuildingInfo, params });
}
export function GetTaxZongdiInfo(params?: countItem) {
  return defHttp.get<countModel>({ url: Api.GetTaxZongdiInfo, params });
}
export function LoadMapTotalData(params?: accountItem) {
  return defHttp.get<countModel>({ url: Api.LoadMapTotalData, params });
}
export function LoadChartData(params?: accountItem) {
  return defHttp.get<countModel>({ url: Api.LoadChartData, params });
}
export function LoadgongxianChartData(params?: accountItem) {
  return defHttp.get<countModel>({ url: Api.LoadgongxianChartData, params });
}

